Skip to main content
POST
Invoice Edit

Endpoint Overview

POST https://api.unibee.dev/merchant/invoice/edit Edit invoice of pending status

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Edit invoice of pending status

invoiceId
string<string>
required

The unique id of invoice

applyPromoCredit
boolean<*bool>

Whether to apply promo credit

applyPromoCreditAmount
integer<*int64>

Specific promo credit amount to apply (optional)

currency
string<string>

The currency of invoice

finish
boolean<bool>
gatewayId
integer<int64>

The gateway id of invoice

lines
object[]
name
string<string>

The name of invoice

taxPercentage
integer<int64>

The tax percentage of invoice,1000=10%

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>